Package: org.grails.encoder.impl

## [Groovy] Class URLCodecFactory.1

- org.grails.encoder.impl.URLCodecFactory.1

-     class URLCodecFactory.1
      extends Encoder

- - ### Constructor Summary

    Constructors
    Constructor and description
    `URLCodecFactory.1 ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `encode(java.lang.Object o)`
    `` | `CodecIdentifier` | `getCodecIdentifier()`
    `` | `boolean` | `isApplyToSafelyEncoded()`
    `` | `boolean` | `isSafe()`
    `` | `void` | `markEncoded(java.lang.CharSequence string)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Encoder` | `encode, isApplyToSafelyEncoded, isSafe, markEncoded`
    `interface CodecIdentifierProvider` | `getCodecIdentifier`

- - ### Constructor Detail

    - #### URLCodecFactory.1()

  - ### Method Detail

    - #### java.lang.Object encode(java.lang.Object o)

    - #### @java.lang.Override CodecIdentifier getCodecIdentifier()

    - #### boolean isApplyToSafelyEncoded()

    - #### boolean isSafe()

    - #### void markEncoded(java.lang.CharSequence string)